class UsernameAvailableResult {
  static const String AlreadyTaken = 'AlreadyTaken';
  static const String Available = 'Available';

  String? message;
  int? isPro;
  String? displayName;
  String? thumbnail;
  String? firebaseId;

  UsernameAvailableResult({
    this.message,
    this.isPro,
    this.displayName,
    this.thumbnail,
    this.firebaseId,
  });

  UsernameAvailableResult.fromJson(Map<String, dynamic> json) {
    message = json["message"];
    isPro = json["isPro"];
    displayName = json["displayName"];
    thumbnail = json["thumbnail"];
    firebaseId = json["firebaseId"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["message"] = message;
    _data["isPro"] = isPro;
    _data["displayName"] = displayName;
    _data["thumbnail"] = thumbnail;
    _data["firebaseId"] = firebaseId;
    return _data;
  }
}
